#ifndef _ADVANCEDENEMY_
#define _ADVANCEDENEMY_

#include <math.h>
#include <SDL/SDL.h>
#include "lib/SDLSprite.h"
#include "lib/SDLSpriteList.h"

#include "objs.h"


#define AET_MMODE_MOVE 0
#define AET_MMODE_WAIT 1
#define AET_MMODE_FIRE 2

class AdvancedEnemy : public SDLSprite
{
public:
	int        dirChgTimer;
	int		   direction; // 0 = LeftTop, 1 = RightTop, 2 = leftBottom, 3 = RightBottom
	SDLSprite* pChkObjLock;

	AdvancedEnemy (ObjectType t);
	virtual ~AdvancedEnemy ();

	virtual void Move (SDLSprite* pPlayer);
    virtual bool MaimedHit (int shotType); // if hit, but not dead...
    virtual void PlaySnd   (int sndID);
    virtual SDL_bool SpriteHitPixel(SDLSprite* pSprite);
    virtual void Draw(SDL_Surface* lpSDLS, long int ScrnWorldX = 0, long int ScrnWorldY = 0);
    virtual void LevelReset (void);
};

#endif
