#ifndef _BACKGROUNDFLASH
#define _BACKGROUNDFLASH

#include "objs.h"
#include "level_design.h"

class BackgroundFlash
{
public:
    int       steps;
    int       pos;
    Uint32    startCol;
    Uint8     r, g, b;

	int	      palIdx;
	Uint32	  warpPal[256];

    BackgroundFlash ();
    void set (int s, Uint32 sc);
    Uint32 update (void);

	void drawGameBorder (PlayAreaRect& playArea, int size = 5, int palInc= 2);

	Uint8 fadeBetween(int start,int end, int proportion);

	void calWarpPalette (void);
};
#endif
